import { AnnotationBase } from "./AnnotationTypes";
export declare class RichMediaAnnotation extends AnnotationBase {
    fileId?: string;
    fileName?: string;
    fileLength?: number;
    fileIdChanged?: boolean;
    posterFileId?: string;
    posterFileName?: string;
    posterFileLength?: number;
    posterFileIdChanged?: boolean;
    activationCondition: "XA" | "PO" | "PV";
    deactivationCondition: "XD" | "PC" | "PI";
    presentationStyle: "Embedded" | "Windowed";
    showNavigationPane: boolean;
    constructor();
}
export type RichMediaContent = {
    assets: {
        names: (string | {
            content: Uint8Array;
            filename: string;
        })[];
    };
};
export type RichMediaSettings = {
    activation: {
        condition: "XA" | "PO" | "PV";
        presentation: {
            navigationPane: boolean;
            passContextClick: boolean;
            style: 'Embedded' | 'Windowed';
            toolbar: boolean;
            transparent: boolean;
        };
        type: "RichMediaActivation";
    };
    deactivation: {
        condition: "XD" | "PC" | "PI";
        type: "RichMediaDeactivation";
    };
};
