/// <reference path="../vendor/react/react.d.ts" />
//@ts-ignore
import React, { Component } from 'react';
import { ProgressDialogSink, ProgressStep } from './Types';
import GcPdfViewer from '..';
export type ProgressDialogState = {
    showModal: boolean;
    value: number;
    message: string;
    disableCancel?: boolean;
};
export type ProgressDialogProps = {
    viewer: GcPdfViewer;
};
export declare class ProgressDialog extends Component<ProgressDialogProps, ProgressDialogState> {
    private _level?;
    private _title;
    private _viewer?;
    private _sink;
    private _shown;
    constructor(props: any, context: any);
    state: {
        showModal: boolean;
        value: number;
        message: string;
        disableCancel: boolean;
    };
    get viewer(): GcPdfViewer;
    show(viewer: GcPdfViewer, title: string, message: string, level?: "info" | "warning" | "error", disableCancel?: boolean): ProgressDialogSink;
    cancel(error?: string | Error): void;
    complete(): void;
    progress(value: number, message: string): void;
    onStep(stepName: ProgressStep, params?: {
        disableCancel?: boolean;
    }): void;
    render(): React.JSX.Element;
}
